<?php
exit();
// Configuración
$wordpressDir = __DIR__;  // La raíz de tu instalación de WordPress
$tmpDir = __DIR__ . '/plfdugkfuf_tdmfdfdp';  // Directorio temporal para descargas
$badFunctions = ['eval', 'base64_decode', 'curl_exec', 'shell_exec', 'system'];
$fileExtensions = ['php', 'phtml', 'php5', 'php7'];
$suspectFiles = [];

// Función para descargar un archivo solo si no existe o ha cambiado
function downloadIfChanged($url, $dest) {
    if (file_exists($dest)) {
        // Obtener el hash MD5 del archivo local
        $localHash = md5_file($dest);

        // Obtener el hash MD5 del archivo remoto sin descargarlo completamente
        $remoteHash = trim(exec("curl -sSL $url | md5sum | awk '{ print $1 }'"));

        // Si los hashes coinciden, no descargamos
        if ($localHash === $remoteHash) {
            echo "El archivo $dest ya está actualizado.\n";
            return;
        }
    }

    // Descargar el archivo si no existe o si ha cambiado
    echo "Descargando $url a $dest...\n";
    exec("wget $url -O $dest");
}

// Función para buscar archivos sospechosos
function findSuspiciousFiles($dir, $badFunctions, $fileExtensions) {
    global $suspectFiles;

    foreach ($fileExtensions as $ext) {
        foreach ($badFunctions as $func) {
            $command = "grep -rl --include=\"*.$ext\" '$func' $dir";
            exec($command, $output);
            if (!empty($output)) {
                $suspectFiles = array_merge($suspectFiles, $output);
            }
        }
    }
}

// Función para comparar archivos con repositorios oficiales (solo para detectar archivos adicionales)
function compareWithOfficial($wordpressDir, $tmpDir) {
    global $suspectFiles;

    // Descargar y descomprimir WordPress oficial
    $wpTar = "$tmpDir/wordpress-latest.tar.gz";
    downloadIfChanged("https://wordpress.org/latest.tar.gz", $wpTar);
    exec("tar -xzf $wpTar -C $tmpDir");

    // Descargar y comparar plugins instalados
    $pluginDirs = glob("$wordpressDir/wp-content/plugins/*", GLOB_ONLYDIR);
    foreach ($pluginDirs as $pluginDir) {
        $pluginName = basename($pluginDir);
        $pluginZip = "$tmpDir/$pluginName.zip";
        $pluginUrl = "https://downloads.wordpress.org/plugin/$pluginName.latest-stable.zip";
        
        downloadIfChanged($pluginUrl, $pluginZip);
        exec("unzip -qo $pluginZip -d $tmpDir/plugins/");
        
        // Detectar archivos que no deberían estar en el plugin
        $localFiles = glob("$pluginDir/*");
        foreach ($localFiles as $file) {
            $officialFile = "$tmpDir/plugins/$pluginName/" . basename($file);
            if (!file_exists($officialFile)) {
                echo "Archivo no oficial detectado: $file\n";
                $suspectFiles[] = $file;
            }
        }
    }
}

// Función para eliminar archivos sospechosos que no deberían estar
function deleteSuspiciousFiles() {
    global $suspectFiles;
    foreach ($suspectFiles as $file) {
        echo "<br>Eliminando $file...\n<br><br>";
        //unlink($file);
    }
}

// Ejecutar las funciones
findSuspiciousFiles($wordpressDir, $badFunctions, $fileExtensions);
compareWithOfficial($wordpressDir, $tmpDir);
deleteSuspiciousFiles();

echo "Análisis y limpieza completados.\n";

?>
