<?php
require_once("/home/reparac/www/wp-content/themes/betheme-child/funciones_rep.php");

/**
 * Shortcodes
 *
 * @package Betheme
 * @author Muffin group
 * @link https://muffingroup.com
 */

/**
 * Shop Slider [shop_slider]
 */

if (! function_exists('sc_shop_slider')) {
	function sc_shop_slider($attr, $content = null)
	{
		if( !function_exists('is_woocommerce') ) return;
		extract(shortcode_atts(array(
			'title'			=> '',
			'count'			=> 5,
			'show'			=> '',
			'category'	=> '',
			'out_of_stock' => '',
			'orderby' 	=> 'date',
			'order' 		=> 'DESC',
		), $attr));

		// query args

		$args = array(
			'post_type' 			=> 'product',
			'posts_per_page' 	=> intval($count, 10),
			'paged' 					=> -1,
			'orderby' 				=> $orderby,
			'order' 					=> $order,
			'ignore_sticky_posts'	=> 1,
		);

		// show

		if ($show == 'featured') {

			// featured ------------------------------
			$args['post__in'] =  array_merge(array(0), wc_get_featured_product_ids());

		} elseif ($show == 'onsale') {

			// onsale --------------------------------
			$args['post__in'] =  array_merge(array(0), wc_get_product_ids_on_sale());

		} elseif ($show == 'best-selling') {

			// best-selling --------------------------
			$args['meta_key'] = 'total_sales';
			$args['orderby'] 	= 'meta_value_num';

		}

		// axclude out of stock products

		if( !empty($out_of_stock) && 'hide' == $out_of_stock ){
			$args['meta_query'] = [
				[
					'key' => '_stock_status',
	        'value' => 'instock',
				],
			];
		}

		// category

		if ($category && !empty($category) && $category != 'All') {
			$args['product_cat'] = $category;
		}

		$query_shop = new WP_Query();
		$query_shop->query($args);

		// output -----

		$output = '<div class="shop_slider" data-count="'. esc_attr($query_shop->post_count) .'">';

			$output .= '<div class="blog_slider_header clearfix">';
				if ($title) {
					$output .= '<h4 class="title">'. wp_kses($title, mfn_allowed_html()) .'</h4>';
				}
				$output .= '<div class="slider_navigation"></div>';
			$output .= '</div>';

			$output .= '<ul class="shop_slider_ul">';
				while ($query_shop->have_posts()) {
					$query_shop->the_post();
					global $product;
					//setup_postdata($product);
					$output .= '<li class="'. esc_attr(implode(' ', get_post_class())) .'">';
						$output .= '<div class="item_wrapper">';

							if (mfn_opts_get('shop-images') == 'secondary') {
								$output .= '<div class="hover_box hover_box_product">';
								ob_start();
								wc_get_template( 'single-product/sale-flash.php');
								do_action( 'mfn_product_image' );
								$output .= ob_get_clean();
									$output .= '<a href="'. esc_url(get_the_permalink()) .'">';
										$output .= '<div class="hover_box_wrapper">';

											$output .= get_the_post_thumbnail(null, 'shop_catalog', array('class'=>'visible_photo scale-with-grid' ));

											if ($attachment_ids = $product->get_gallery_image_ids()) {
												$secondary_image_id = $attachment_ids['0'];
												$output .= wp_get_attachment_image($secondary_image_id, 'shop_catalog', '', $attr = array( 'class' => 'hidden_photo scale-with-grid' ));
											}

										$output .= '</div>';
									$output .= '</a>';

								$output .= '</div>';
							} else {
								$output .= '<div class="image_frame scale-with-grid product-loop-thumb">';

									$output .= '<div class="image_wrapper">';

									ob_start();
									wc_get_template( 'single-product/sale-flash.php');
									do_action( 'mfn_product_image' );
									$output .= ob_get_clean();

										$output .= '<a href="'. esc_url(get_the_permalink()) .'">';
											$output .= '<div class="mask"></div>';
											$output .= get_the_post_thumbnail(null, 'shop_catalog', array( 'class' => 'scale-with-grid' ));
										$output .= '</a>';

										$output .= '<div class="image_links">';
											$output .= '<a class="link" href="'. esc_url(get_the_permalink()) .'"><svg viewBox="0 0 26 26" aria-label="'. __('view product', 'betheme') .'"><defs><style>.path{fill:none;stroke:#333;stroke-miterlimit:10;stroke-width:1.5px;}</style></defs><g><path d="M10.17,8.76l2.12-2.12a5,5,0,0,1,7.07,0h0a5,5,0,0,1,0,7.07l-2.12,2.12" class="path"></path><path d="M15.83,17.24l-2.12,2.12a5,5,0,0,1-7.07,0h0a5,5,0,0,1,0-7.07l2.12-2.12" class="path"></path><line x1="10.17" y1="15.83" x2="15.83" y2="10.17" class="path"></line></g></svg></a>';
										$output .= '</div>';

									$output .= '</div>';

								$output .= '</div>';
							}

							$output .= '<div class="desc">';

								$output .= '<h4><a href="'. esc_url(get_the_permalink()) .'">'. wp_kses(get_the_title(), mfn_allowed_html()) .'</a></h4>';

								if ($price_html = $product->get_price_html()) {
									$output .= '<span class="price">'. $price_html .'</span>';
								}

								
								#$output .= content_woocommerce_features($product);
							
							 
							  $output .= '<div class="button_cat_center">
							<a href="'.$product->get_permalink().'" data-quantity="1" class="button  button_size_2 button_theme"  rel="nofollow" tabindex="-1">Comprar</a>
						</div>';
							$output .= '</div>';

						$output .= '</div>';

					$output .= '</li>';
				}

			$output .= '</ul>';

			$output .= '<div class="slider_pager slider_pagination"></div>';

		$output .= '</div>'."\n";

		wp_reset_postdata();

		if( ! isset( $attr['vb'] ) ){
			wp_enqueue_script('mfn-slick', get_theme_file_uri('/js/plugins/slick.min.js'), ['jquery'], MFN_THEME_VERSION, true);
		}

		return $output;
	}
}


/**
 * Product Related
 */

if (! function_exists('sc_product_related')) {
	function sc_product_related($attr, $product = false)
	{
		if( !function_exists('is_woocommerce') ) return;
		remove_standard_woo_actions_archive();
		if( !$product ){
			$sample = Mfn_Builder_Woo_Helper::sample_item('product');
			$product = wc_get_product($sample);
		}

		if( !$product ) return;

		$args = array(
			'posts_per_page' => $attr['products'],
			'columns'        => $attr['columns'],
			'order'          => 'desc',
			'orderby'        => 'rand',
		);
		
		if(empty($attr['button'])) {
			$attr['button'] = 0;
		}

		if(empty($attr['description'])) {
			$attr['description'] = 0;
		}

		$classes = array( 'grid', 'col-'.$attr['columns'] );

		// background

		if( ! empty( mfn_opts_get('background-archives-product') ) ){
			$classes[] = 'has-background-color';
		}

		$ul_classes = 'columns-'.$attr['columns'];

		//$related = array_filter( array_map( 'wc_get_product', wc_get_related_products( $product->get_id(), $args['posts_per_page'], $product->get_upsell_ids() ) ), 'wc_products_array_filter_visible' );
		//$related = wc_products_array_orderby( $related, $args['orderby'], $args['order'] );
        $product_categories = wp_get_post_terms($product->get_id(), 'product_cat'); // array('fields' => 'slugs')
        //var_dump($product_categories);
        foreach ($product_categories as $cats) {
        	 $chidsCats = get_terms('product_cat', 'orderby=name&hide_empty=0&parent=' . $cats->term_id);  
        	 if(!$chidsCats){
        	 	$product_categorie =$cats->slug;
        	 } 
        	 
        }
        
       

//echo "</pre><br><pre>";

        
        echo "</pre>";
		    $argsaa = array(
                'posts_per_page' => $attr['products'],
                'columns' => $attr['columns'],
                'orderby' => 'rand',
                'post_type' => 'product',
                'post_status' => 'publish',
                'product_cat' => $product_categorie,
                'post__not_in' => array($product->get_id()) // Excluye el producto actual
            );

            $related_query = new WP_Query($argsaa);
          //  $related = $related_query->have_posts();

		$output = '<section class="mfn-related">';
		$output .= '<h3 class="title">'.__( 'Related products', 'woocommerce' ).'</h3>';
		$output  .= '<ul class="products '.$ul_classes.'">';
		  if ($related_query->have_posts()) {
			
			while ($related_query->have_posts()) {
                $related_query->the_post();
                $related_product = wc_get_product(get_the_ID());
                $output .= Mfn_Builder_Woo_Helper::productslist($related_product, $attr, $classes);
                wp_reset_postdata();
			}


			/*foreach ( $related as $product ) :
				setup_postdata($product->get_id());
				$output .= Mfn_Builder_Woo_Helper::productslist($product, $attr, $classes);
				wp_reset_postdata();
			endforeach;*/
		}
		$output .= '</ul>';
		$output .= '</section>';

		return $output;
	}
}

   function get_deepest_product_category($category_slugs) {
        $deepest_category = '';
        $deepest_category_depth = 0;

        foreach ($category_slugs as $category_slug) {
            $category = get_term_by('slug', $category_slug, 'product_cat');
            
            if ($category instanceof WP_Term && $category->depth > $deepest_category_depth) {
                $deepest_category = $category_slug;
                $deepest_category_depth = $category->depth;
            }
        }

        return $deepest_category;
    }



// /**
//  * Shop Products
//  */

// if (! function_exists('sc_shop_products')) {
// 	function sc_shop_products($attr, $sample = false){

// 		if( !function_exists('is_woocommerce') ) return;

// 		remove_standard_woo_actions_archive();

// 		$output = '';

// 		$classes = array();
// 		$columns = array(
// 			'grid' => 3,
// 			'grid col-4' => 4,
// 			'masonry' => 3,
// 			'list' => 1,
// 		);

// 		$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

// 		$layout = isset($attr['layout']) ? $attr['layout'] : 'grid';

// 		if( ! empty( $_GET['mfn-shop'] ) ){
// 			$layout = $_GET['mfn-shop'];
// 		}

// 		$classes[] = 'columns-'. $columns[$layout];
// 		$classes[] = $layout;

// 		// background

// 		if( ! empty( mfn_opts_get('background-archives-product') ) ){
// 			$classes[] = 'has-background-color';
// 		}

// 		// isotope

// 		if( 'masonry' == $layout ){
// 			$classes[] = 'isotope';
// 		};

// 		ob_start();
// 		do_action('woocommerce_before_shop_loop');
// 		$output .= ob_get_clean();
// 		$output .='<div class="wrap mcb-wrap mcb-wrap-fn6gztoc one-fifth tablet-one-fifth mobile-one clearfix" data-desktop-col="one-fifth" data-tablet-col="tablet-one-fifth" data-mobile-col="mobile-one" style=""><div class="mcb-wrap-inner mcb-wrap-inner-fn6gztoc"><div class="mcb-wrap-background-overlay"></div><div class="column mcb-column mcb-item-cdvxespt one tablet-one mobile-one column_plain_text mfn-item-inline" style=""><div class="mcb-column-inner mcb-column-inner-cdvxespt mcb-item-plain_text-inner"><div class="desc">	<div onclick="ActDescFiltroLateralMobil()" id="left-mobile-toggle" class="icon-wrapper">Filtro <i class="fas fa-filter" aria-hidden="true"></i></div>
//     </div></div></div>

//     <div class="column mcb-column mcb-item-vyfwuvhkh one tablet-one mobile-one column_sidebar_widget menu_sidebar_left" style="">

//     		'.dynamic_sidebar('mobil-lateral').'
// 		</div>
// 	</div>';
// 			$output .= '<div class="products_wrapper mfn-woo-products lm_wrapper ">';
// 	 		// start loop

// 				$orderby = isset( $_GET['orderby'] ) ? wc_clean( $_GET['orderby'] ) : apply_filters( 'woocommerce_default_catalog_orderby', get_option( 'woocommerce_default_catalog_orderby' ) );
// 			    $show_default_orderby = 'menu_order' === apply_filters( 'woocommerce_default_catalog_orderby', get_option( 'woocommerce_default_catalog_orderby' ) );
// 			    $catalog_orderby_options = apply_filters( 'woocommerce_catalog_orderby', array(
// 			        'menu_order' => __( 'Default sorting', 'woocommerce' ),
// 			        'popularity' => __( 'Sort by popularity', 'woocommerce' ),
// 			        'rating' => __( 'Sort by average rating', 'woocommerce' ),
// 			        'date' => __( 'Sort by newness', 'woocommerce' ),
// 			        'price' => __( 'Sort by price: low to high', 'woocommerce' ),
// 			        'price-desc' => __( 'Sort by price: high to low', 'woocommerce' ),
// 			 	) );

// 			 	if ( ! $show_default_orderby ) {
// 			        unset( $catalog_orderby_options['menu_order'] );
// 			    }

// 			    if ( 'no' === get_option( 'woocommerce_enable_review_rating' ) ) {
// 			        unset( $catalog_orderby_options['rating'] );
// 		    	}

// 		    	if( !empty(mfn_opts_get('shop-infinite-load')) ){
// 		    		//$classes[] = 'lm_wrapper';
// 		    		wp_enqueue_script('mfn-waypoints', get_theme_file_uri('/js/plugins/waypoints.min.js'), ['jquery'], MFN_THEME_VERSION, true);
// 		    	}

// 				if(function_exists('is_woocommerce') && !isset($attr['vb']) && have_posts()):

// 				$output  .= '<ul class="products '. esc_attr(implode(' ', $classes)) .'">';
// 					while ( have_posts() ) {
// 						the_post();
// 						global $product;
// 						if($layout == 'masonry') $classes = array( 'isotope-item' );
// 						if ( empty( $product ) || ! $product->is_visible() ) continue; // visibility
// 						do_action( 'woocommerce_shop_loop' );
// 						$output .= Mfn_Builder_Woo_Helper::productslist($product, $attr, $classes);
// 					}
// 				$output .= '</ul>'; // end loop

// 				ob_start();
// 				if( !empty(mfn_opts_get('shop-infinite-load')) ){
// 					echo '<div class="mfn-infinite-load-button">';
// 						echo mfn_pagination(false, true);
// 					echo '</div>';
// 				}else{
// 					if( is_product_category() ){
// 						echo mfn_pagination();
// 					}else{
// 						woocommerce_pagination();
// 					}
// 				}
// 				$output .= ob_get_clean();

// 				elseif( !empty($attr['vb']) ):

// 					$sample_loop = Mfn_Builder_Woo_Helper::sample_products_loop($attr);

// 					$output  .= '<ul class="products '. esc_attr(implode(' ', $classes)) .'">';
// 					if($sample_loop->have_posts()):
// 						while ( $sample_loop->have_posts() ) {
// 							$sample_loop->the_post();
// 							global $product;
// 							if($layout == 'masonry') $classes = array( 'isotope-item' );
// 							if ( empty( $product ) || ! $product->is_visible() ) continue; // visibility
// 							do_action( 'woocommerce_shop_loop' );
// 							$output .= Mfn_Builder_Woo_Helper::productslist($product, $attr, $classes);
// 						}
// 					endif;
// 					$output .= '</ul>'; // end loop

// 				else:

// 					$output .= '<div class="alert alert_info">';
// 						$output .= '<div class="alert_icon"><svg viewBox="0 0 28 28" aria-hidden="true"><defs><style>.path{fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:1.5px;}</style></defs><g><circle class="path" cx="14" cy="14" r="12"/><path class="path" d="M11.2,9.12a3.4,3.4,0,0,1,3-1.69,2.84,2.84,0,0,1,3,2.76,3.16,3.16,0,0,1-.84,2.23c-.63.74-1.58,1.18-2.19,1.88a1,1,0,0,0-.26.64v2.32"/><circle class="path" cx="14" cy="20" r="0.33"/></g></svg></div>';
// 						$output .= '<div class="alert_wrapper">'.__('No products were found matching your selection.', 'woocommerce').'</div>';
// 					$output .= '</div>';

// 				endif;

// 			$output .= '</div>';

// 		wp_enqueue_script('mfn-isotope', get_theme_file_uri('/js/plugins/isotope.min.js'), ['jquery'], MFN_THEME_VERSION, true);
// 		return $output;
// 	}
// }




