<?php
require_once("/home/reparac/www/wp-load.php");


// Función para ordenar términos en función de un campo personalizado y una columna de clasificación secundaria
function acf_order_terms($terms, $custom_field, $custom_field_order, $column, $column_order) {
    $custom_ordered_terms = array();
    $alphabetically_ordered_terms = array();

    foreach ($terms as $term) {
        $custom_field_value = get_field($custom_field, 'product_cat_' . $term->term_id);

        if ($custom_field_value && $custom_field_value > 0) {
            $custom_ordered_terms[$term->term_id] = $custom_field_value;
        } else {
            $alphabetically_ordered_terms[$term->term_id] = $term->$column;
        }
    }

    // Ordenar los términos según el campo personalizado y la columna secundaria
    if ($custom_field_order === 'ASC') {
        asort($custom_ordered_terms);
    } else {
        arsort($custom_ordered_terms);
    }

    if ($column_order === 'ASC') {
        asort($alphabetically_ordered_terms);
    } else {
        arsort($alphabetically_ordered_terms);
    }

    // Fusionar y devolver los términos ordenados
    $ordered_terms = array_merge(array_keys($custom_ordered_terms), array_keys($alphabetically_ordered_terms));
    $ordered_terms = array_map(function ($term_id) use ($terms) {
        return $terms[array_search($term_id, array_column($terms, 'term_id'))];
    }, $ordered_terms);

    return $ordered_terms;
}

function guardar_en_cache($nombre_archivo, $datos)
{
    $contenido_serializado = serialize($datos);
    file_put_contents( "/home/reparac/www/wp-content/themes/betheme-child/cache/".$nombre_archivo, $contenido_serializado);
}

function obtener_de_cache($nombre_archivo)
{
    if (file_exists("/home/reparac/www/wp-content/themes/betheme-child/cache/".$nombre_archivo)) {
        $contenido_serializado = file_get_contents("/home/reparac/www/wp-content/themes/betheme-child/cache/".$nombre_archivo);
        return unserialize($contenido_serializado);
    }
    return false;
}


function content_woocommerce_features($product) {
    $attributes = $product->get_attributes();
    //var_dump($attributes);
    // Array que contendrá solo los atributos requeridos
    $categories2 = get_the_terms($product->get_id(), 'product_cat');
    if ($categories2 && !is_wp_error($categories)) {
        foreach ($categories2 as $category) {
           $categories[] = $category->name;
        }
    }
    $required_attributes = array();

    // Nombres de los atributos que nos interesan
    $required_attribute_names = array('pa_ram', 'pa_almacenamiento', 'pa_pantalla','pa_bateria','pa_conectividad','pa_4k','pa_smartTV','pa_color');

    // Filtrar los atributos requeridos
    foreach ($required_attribute_names as $attribute_name) {
        if (isset($attributes[$attribute_name])) {
            $required_attributes[$attribute_name] = $attributes[$attribute_name];
        }
    }
    $content = '<div class="product_detalls_atrributes" style="font-size: 10pt;">';
    // Ahora puedes iterar sobre los atributos requeridos y obtener la información que necesitas
    foreach ($required_attributes as $attribute_name => $attribute) {
        $attribute_value_ids  = $attribute->get_options(); // Opciones del atributo (valores disponibles)
        $attribute_values = array();
        foreach ($attribute_value_ids as $value_id) {
            $term = get_term($value_id,  $attribute_name);
            if ($term && !is_wp_error($term)) {
                $attribute_values["name"][] = $term->name;
                $attribute_values["term_id"][] = $term->term_id;

            }
        }
        
        
        if (isset($attribute_values) && is_array($attribute_values) && isset($categories) && is_array($categories) && !in_array("Reparaciones",$categories)) {
            // Aquí puedes hacer lo que necesites con el nombre y las opciones del atributo
            // Por ejemplo, imprimirlos en pantalla o procesarlos de alguna otra manera.
            if($attribute_name=="pa_ram"){
                $textRam = implode(', ', $attribute_values["name"]);
                $textRam = str_replace("GB, ", "/", $textRam);
                $textRam = str_replace("MB, ", "/", $textRam);
                $content .=' <a style="border:none;" class="tooltip tooltip-txt" data-tooltip="RAM"> <i class="fa fa-memory"></i> ' .$textRam."</a>";
            }
            if($attribute_name=="pa_almacenamiento"){
                $textAlama = implode(', ', $attribute_values["name"]);
                $textAlama = str_replace("GB, ", "/", $textAlama);
                $textAlama = str_replace("MB, ", "/", $textAlama);
                $content .=' <a style="border:none;" class="tooltip tooltip-txt" data-tooltip="Memoria interna"> <i class="fa fa-sd-card"></i> ' .$textAlama."</a>" ;
            }
            if($attribute_name=="pa_pantalla"){
                if(in_array("Televisores",$categories)){
                    $content .=' <a style="border:none;" class="tooltip tooltip-txt" data-tooltip="Pantalla">  <i class="fa fa-tv"></i> ' . implode(', ', $attribute_values["name"])."</a>";
                }
                if(in_array("Móviles",$categories) || in_array("Smartphones",$categories)){
                    $content .=' <a style="border:none;" class="tooltip tooltip-txt" data-tooltip="Pantalla">  <i class="fa fa-mobile-alt"></i> ' . implode(', ', $attribute_values["name"])."</a>";
                }
                if(in_array("Smartwatch",$categories) ){
                    $content .=' <a style="border:none;" class="tooltip tooltip-txt" data-tooltip="Pantalla"> <i class="far fa-clock"></i>' . implode(', ', $attribute_values["name"])."</a>";
                }
                //var_dump($categories);
                if(in_array("Tablets",$categories)){
                    $content .=' <a style="border:none;" class="tooltip tooltip-txt" data-tooltip="Pantalla"> <i class="fa fa-tablet-alt"></i> ' . implode(', ', $attribute_values["name"])."</a>";
                }
            }
            if($attribute_name=="pa_bateria"){
                $content .='<a style="border:none;" class="tooltip tooltip-txt" data-tooltip="Batería">  <i class="fa fa-battery-full"></i> ' .  $attribute_values["name"][0]."</a>";
            }
            if($attribute_name=="pa_conectividad" ){

                foreach ($attribute_values["name"] as $value) {
                    
                    if (stripos($value, "wifi") !== false) {
                          $content .= ' <a  style="border:none;" class="tooltip tooltip-txt" data-tooltip="Conectividad '.$value.'"> <i class="fa fa-wifi"></i> </a>';
                     }

                     if (stripos($value, "LTE") !== false  || stripos($value, "5g") !== false || stripos($value, "4g") !== false || stripos($value, "3g") !== false) {
                          $content .= ' <a  style="border:none;" class="tooltip tooltip-txt" data-tooltip="Conectividad '.$value.'"> <i class="fas fa-signal"></i>'.$value.'</a>';
                     }

                     if (stripos($value, "GPS") !== false) {
                          $content .= ' <a  style="border:none;" class="tooltip tooltip-txt" data-tooltip="Navegación '.$value.'"> <i class="fab fas fa-location-arrow"></i> </a>';
                     }

                    if (stripos($value, "Bluetoo") !== false) {
                          $content .= ' <a  style="border:none;" class="tooltip tooltip-txt" data-tooltip="Conectividad '.$value.'"> <i class="fab fa-bluetooth"></i> </a>';
                     }

                }
            
             }
                    
            if(in_array("SmartTV",$categories)){
                $content .= ' SmartTV ';
            }
            if(in_array("4K",$categories)){
                $content .= ' 4K ';
            }
              $aa = 0;

            if($attribute_name=="pa_color" && count($attribute_values["name"])>0){
                $content .= '<br>
                <style>
                .woocommerce .mfn-variations-wrapper .mfn-vr ul.mfn-vr-options.mfn-vr-color li a
                {
                  width: 27px;
                  height: 27px;
                  border-radius: 100%;
                  padding: 3px;
                  box-sizing: border-box;
                }
                </style>
                <div class="mfn-variations-wrapper" style="display: inline-block;margin-bottom: -20px;"><div class="mfn-vr">

                <ul class="mfn-vr-options attribute_'.$attribute_name.' mfn-vr-color" data-atr="'.$attribute_name.'">';
                            foreach($attribute_values["term_id"] as $term_id){
                                $atr_item  = get_term($term_id,  $attribute_name);
                                if( !isset($atr_item->name) ) $atr_item = get_term_by('name', $term_id, $atr_slug);
                                if(isset($atr_item->name)){
                                $nomNoNum = preg_replace('/\d+/', '', $atr_item->name); 
                                $mfn_value = get_term_meta($term_id, 'mfn_attr_field', true);


                                if($aa<5){
                                    $content .= '<li class="attr_'.esc_attr($atr_item->slug).' tooltip tooltip-txt" data-tooltip="'.esc_html($nomNoNum).'"><a href="'.get_the_permalink($product->get_id()).'?'.$a.'='.$atr_item->slug.'" data-id="'.$atr_item->slug.'"><span style="background-color: '.$mfn_value.';"></span></a></li>';
                                    }
                                }
                               
                                 $aa++;
                            }
                        $content .= '</ul></div></div>';
            }
        }
        
    }
    $content .= '</div>';
    return $content;
}

?>