<?php
// Incluir el archivo "wp-load.php" para acceder a las funciones de WordPress
require_once("/home/reparac/www/wp-load.php");


// Ruta al archivo CSV
$nomArc = "moviles_faltan_finalcolor";
$csvFile = $nomArc.'.csv';

// Obtener todos los productos de WooCommerce (incluyendo productos con variaciones)
$args = array(
    'post_type'      => 'product',
    'posts_per_page' => -1,
);
$products = new WP_Query($args);

// Crear un array para almacenar los SKU de los productos en WooCommerce
$existingSKUs = array();

// Recorrer los productos de WooCommerce y guardar los SKU
if ($products->have_posts()) {
    while ($products->have_posts()) {
        $products->the_post();
        $product = wc_get_product(get_the_ID());
        
        // Comprobar si el producto es variable
         echo "<br>-------------------------------------<br><pre>";
        echo var_dump($variations = $product->get_children());
        echo "</pre>";
      if (!empty($variations)) {
            // Si es un producto variable, obtenemos las variaciones
              foreach ($variations as $variation_id) {
                $variation = wc_get_product($variation_id);
                $sku = $variation->get_sku();
                $existingSKUs[] = $sku;
                echo "<br>";
                echo "Productor variable ".$product->get_title()." SKU".$sku;
                echo "<br>";
            }
        } else {
            // Si es un producto simple, obtenemos el SKU directamente
            $sku = $product->get_sku();
            $existingSKUs[] = $sku;
            echo "<br>";
                echo "Productor Simple ".$product->get_title()." SKU".$sku;
                echo "<br>";
        }

        echo "<br>-------------------------------------<br>";
    }
}

// Cerrar la consulta de productos
wp_reset_postdata();

// Crear un array para almacenar los datos que faltan en WooCommerce
$missingData = array();

// Leer el archivo CSV
if (($handle = fopen($csvFile, 'r')) !== false) {
    // Recorrer cada línea del archivo CSV
    while (($data = fgetcsv($handle, 1000, ';')) !== false) {
        $productSKU = $data[0]; // SKU del producto en el CSV
        $productSKU = (substr($productSKU, 0, 1) === '+') ? substr($productSKU, 1) : $productSKU;
        // Verificar si el SKU del producto en el CSV no está en WooCommerce
        if (!in_array($productSKU, $existingSKUs)) {
            $missingData[] = $data;
        }
    }

    // Cerrar el archivo CSV
    fclose($handle);
}

// Crear el archivo CSV con los datos que faltan
$missingDataFile = fopen($nomArc.'_faltan.csv', 'w');
foreach ($missingData as $row) {
    fputcsv($missingDataFile, $row, ';');
}
fclose($missingDataFile);

echo 'El archivo '.$nomArc.'_faltan.csv ha sido creado con los datos que faltan en WooCommerce.';
?>